
package de.ivu.elect.presentation.datei;

import javax.inject.Named;

import de.ivu.elect.business.datei.entity.DateiExport;
import de.ivu.elect.jee.presentation.dynamicform.FormBuilder;
import de.ivu.elect.presentation.hilfe.OnlineHilfeId;
import de.ivu.elect.presentation.security.AbstractGebietSecurityFilter;

@OnlineHilfeId(value = "213", mehrfachVergebenOk = true)
@Named(AbstractDateiExportSearchView.COMPONENT_NAME)
public class DateiExportSearchView extends AbstractDateiExportSearchView {

  private static final long serialVersionUID = 1L;

  public DateiExportSearchView() {
    super();
  }

  @Override
  protected AbstractGebietSecurityFilter<DateiExport> getGebietSecurityFilter() {
    return KEIN_GEBIET_SECURITY_FILTER;
  }

  @Override
  public boolean isSupportsLazyLoading() {
    return false;
  }

  @Override
  public void presetSearchParameters() {
    searchParameters.setMandant(bestimmeMandantAusWahlWahlterminMandant());
    searchParameters.setWahl(getSelectedWahl());
    searchParameters.setWahltermin(getSelectedWahltermin());
  }

  @Override
  public void addProperties(FormBuilder formBuilder) {
    // nichts zu tun
  }
}
